Subject: bug#31982: shaderc fails its test suite on all hydra-supported systems

From: Mark H Weaver <[email-masked]>
Date: Tue, 26 Jun 2018 14:41:59 -0400

Hi Rutger,

In commit 7f540654873a2761746bdc43be4727cad99b92c0, you updated
'sharerc' to upstream commit be8e087 and enabled tests.

It turns out that it fails its test suite on all systems supported by
Hydra, but the failure is effectively being ignored, because of
<https://bugs.gnu.org/31974>.

I'd like to fix 'meson-build-system' to always return #t from phases and
to report errors using exceptions, which would effectively work around
the aforementioned bug, but then that would cause 'shaderc' to start
failing in earnest.

See <https://bugs.gnu.org/31982> for more details.

Would you be willing to take a look and fix 'sharerc' so that it won't
start failing when I fix 'meson-build-system'?

     Regards,
       Mark